Bug 3766 - insmod core dumps on "bad" driver object
insmod core dumps on "bad" driver object
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: modutils (Show other bugs)
6.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-28 00:34 EDT by eloranta
Modified: 2018-07-06 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-28 02:19:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eloranta 1999-06-28 00:34:15 EDT
If one happens to create a driver object which
has accidentally left out the kernel_version definition
(note: at ld -r it gets declared as an external in
symbol table!)
then insmod core dumps when it tries to find out the
kernel version for which the driver was compiled.
It should check if the kernel_version symbol is defined
as an external or not. If it is then complain and
do nothing further.
Comment 1 Jay Turner 1999-06-28 08:43:59 EDT
This issue has been forwarded to a developer for further action.
Comment 2 Cristian Gafton 1999-07-28 02:19:59 EDT
insmod has no way of testing is a module is correct or not - it has to
walk blindly in the object structure and read whatever is there.
Comment 3 Fedora Update System 2018-06-25 05:48:59 EDT
sssd-1.16.2-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5793dadb1d
Comment 4 Fedora Update System 2018-06-26 14:23:48 EDT
sssd-1.16.2-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5793dadb1d
Comment 5 Fedora Update System 2018-07-06 12:42:12 EDT
sssd-1.16.2-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.